clang-tools 10.0.0

Public Member Functions | List of all members
clang::clangd::RefSlab::Builder Class Reference

RefSlab::Builder is a mutable container that can 'freeze' to RefSlab. More...

`#include <Ref.h>`

## Public Member Functions
| Builder ()
void | insert (const SymbolID &ID, const Ref &S)
| Adds a ref to the slab. Deep copy: Strings will be owned by the slab. More...
RefSlab | build () &&
| Consumes the builder to finalize the slab. More...

## Detailed Description

RefSlab::Builder is a mutable container that can 'freeze' to RefSlab.

Definition at line 93 of file Ref.h.

## Constructor & Destructor Documentation

## ◆ Builder()

clang::clangd::RefSlab::Builder::Builder | ( |  | ) |
| inline

Definition at line 95 of file Ref.h.

## Member Function Documentation

## ◆ build()

RefSlab clang::clangd::RefSlab::Builder::build | ( |  | ) | &&

Consumes the builder to finalize the slab.

Definition at line 45 of file Ref.cpp.

## ◆ insert()

void clang::clangd::RefSlab::Builder::insert | ( | const SymbolID & | ID,
|  | const Ref & | S
| ) |  |

Adds a ref to the slab. Deep copy: Strings will be owned by the slab.

Definition at line 35 of file Ref.cpp.

Referenced by clang::clangd::SymbolCollector::handleMacros().

The documentation for this class was generated from the following files:

- Ref.h
- Ref.cpp